! 試験片番号フォルダーのファイルをP1h, P1r, P2h, P2rに移動するプログラム
! move_files.f90

! P1h: 0-417, P1r: 418-835, P2h: 836-1253, P2r: 1254-1671 に配置される．

program move_files

  implicit none
  
  character:: number*20, dir*10,mv_file*100,specimen*10,spno*6,filename*50
  integer:: i,j,k,sp
  
  print *,"P1h, P1r, P2h, P2rフォルダーを作成し，"
  print *,"連番のファイルをそれぞれのフォルダーに移動します"

  print *,"試験片番号を行けてください．"
  read(5,*) sp
  write(spno,'(I5)') sp
  
  
!   ----------------------------  P1h
print *,'mkdir P1h'
  call SYSTEM('mkdir P1h')
  
  do i= 0, 417  !-----0,417
    write(number,'(I5)') i
    number="00000" // trim(adjustl(number))
    number=adjustr(number)
    k=len(number)
    specimen=number(k-4:k)
    filename=trim(adjustl(spno)) // "_" // trim(adjustl(specimen))  // ".tif"
    mv_file= "mv " // trim(adjustl(filename)) // " ./P1h" !--------P1h
    
    print *,mv_file
    call SYSTEM(mv_file)
  end do

!  - ---------------------------- P1r
print *, 'mkdir P1r'
  call SYSTEM('mkdir P1r')
  
  do i= 418, 835  ! ------ 418, 835
    write(number,'(I5)') i
    number="00000" // trim(adjustl(number))
    number=adjustr(number)
    k=len(number)          
    specimen=number(k-4:k)
    filename=trim(adjustl(spno)) // "_" // trim(adjustl(specimen))  // ".tif"
    mv_file= "mv " // trim(adjustl(filename)) // " ./P1r"   !--------P1r
    
    print *,mv_file
    call SYSTEM(mv_file)
  end do
  
  
!  - ---------------------------- P2h
print *,'mkdir P2h'
  call SYSTEM('mkdir P2h')
  
  do i= 836, 1253  !----- 836, 1253
    write(number,'(I5)') i
    number="00000" // trim(adjustl(number))
    number=adjustr(number)
    k=len(number)          
    specimen=number(k-4:k)
    filename=trim(adjustl(spno)) // "_" // trim(adjustl(specimen))  // ".tif"
    mv_file= "mv " // trim(adjustl(filename)) // " ./P2h" !--------P2h
    
    print *,mv_file
    call SYSTEM(mv_file)
  end do

  
!  - ---------------------------- P2r
 print *,'mkdir P2r'
  call SYSTEM('mkdir P2r')
  
  do i= 1254, 1671  !----- 1254, 1671
    write(number,'(I5)') i
    number="00000" // trim(adjustl(number))
    number=adjustr(number)
    k=len(number)          
    specimen=number(k-4:k)
    filename=trim(adjustl(spno)) // "_" // trim(adjustl(specimen))  // ".tif"
    mv_file= "mv " // trim(adjustl(filename)) // " ./P2r" !--------P2r
    
    print *,mv_file
    call SYSTEM(mv_file)
  end do
end program move_files