
set yrange[-0.25:0.25]
set xrange[0:37]

set term 'qt' font "Helvetica,20"
set xlabel 'x, mm'
set ylabel 'y, mm'
set zlabel 'z, mm'

# 周方向ひずみ
set zrange[-20:20]
set title "Hoop residual strain εh"

splot "e_hp.txt" using 1:2:3:4:5:6 with vectors linecolor 'red' , "e_hp.txt" using 1:2:3 with points lt 0.8 lc 'black',  "e_hm.txt"using 1:2:3:4:5:6  with vectors linecolor 'blue' ,  "e_hm.txt"using 1:2:3 with points lt 0.8 lc 'black'

pause -1 '改行キーを押すと戻ります．'


# 半径方向ひずみ
set zrange[-5:5]
set title "Radial residual strain εr"

splot  "e_rp.txt" using 1:2:3:4:5:6 with vectors linecolor 'red' , "e_rp.txt" using 1:2:3 with points lt 0.8 lc 'black',   "e_rm.txt" using 1:2:3:4:5:6 with vectors linecolor 'blue',  "e_rm.txt"using 1:2:3:4:5:6 with points lt 0.8 lc 'black'


pause -1 '改行キーを押すと戻ります．'
